Bug 177954 - Installer hung on disk2, restart with disk1 errrors out
Installer hung on disk2, restart with disk1 errrors out
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-16 14:39 EST by Jeanette Myers
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-24 17:31:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeanette Myers 2006-01-16 14:39:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050921 Red Hat/1.0.7-1.4.1 Firefox/1.0.7

Description of problem:
I partitioned drive 0 and drive 1 with Raid 1 and set up partitions for /boot, / and swap.  Drives 3-5 are Raid 5 with one partition /var.

Disks: aic7899 (aic7xxx driver), DDS T18350M, (IBM 18.2 gb scsi disks).

/dev/sda1/  *   1    51    409626   fd Linux raid autodetect
/dev/sda2/     52  1836  14338012+  fd Linux raid autodetect
/dev/sda3/   1837  2031   1566337+  82 Linux swap

/dev/sdc1   *   1  2231  17920476   fd Linux raid autodetect
/dev/sdd1   *   1  2231  17920476   fd Linux raid autodetect
/dev/sde1   *   1  2231  17920476   fd Linux raid autodetect

The install hung on disk2, but I left running for a day as it looked like is was formatting the raid.

Restarted computer with disk 1 and anaconda dies with the following errors:

/usr/src/build/500926-i386/install//usr/lib/anaconda/gui.py line 789 self.dispach.gotoNext()
...
/usr/src/build/500926-i386/install//usr/lib/anaconda/partedUtils.py
    (DiskSet.mdList.extend(raid, startAllRaid(driveList)))
...
File /usr/lib/anaconda/isys.py line 106, 56, 103  (rc=_isys.getraid5b(fd))

Thanks!



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Tried restarting with disk1 several times
2.
3.
  

Actual Results:  Same behavior

Expected Results:  I was hoping it would ask for disk 2

Additional info:
Comment 1 Jeremy Katz 2006-01-18 11:56:11 EST
Can you provide the complete traceback you received?
Comment 3 Red Hat Bugzilla 2007-06-11 23:02:50 EDT
requested by Jams Antill

Note You need to log in before you can comment on or make changes to this bug.